import java.util.Arrays;
import javalabs.lab4.first.*;

public class Main {
    public static void main(String args[]) {
        Vehicle vehicle = new Vehicle(200, 20);
        Car car                 = new Car(2000, 100);
        Bike bike             = new Bike(300, 60);
        Truck truck         = new Truck(4000, 80);

        System.out.println(truck);
        // vehicle.display();
        // car.display();
        // bike.display();
        // truck.display();
        System.out.println();

        Garage garage = new Garage(new Vehicle[] {vehicle, car, bike, truck});
        garage.count();
        System.out.println();
        System.out.println(garage);
        System.out.println();
        // System.out.println("Popped out of garage: " + garage.popVehicle());
        System.out.println(garage.popVehicle());
        System.out.println();
        // System.out.println(garage.addVehicle(new Car(1400, 120)));
        garage.addVehicle(new Car(1400, 120));
        System.out.println(garage);
    }
}





